aboutsummaryrefslogtreecommitdiffstats
path: root/main/perl-http-daemon/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2011-06-01 13:08:35 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2011-06-01 13:08:35 +0000
commit4e3cd93afabd3b76e7ac75062ed099f55e3e9b0f (patch)
tree851e000c44e5bbbcd84ccceee530c0b5c29b8cb5 /main/perl-http-daemon/APKBUILD
parentdcddc396532dddfb451101fde7f19c7f52e39dfe (diff)
downloadaports-4e3cd93afabd3b76e7ac75062ed099f55e3e9b0f.tar.gz
aports-4e3cd93afabd3b76e7ac75062ed099f55e3e9b0f.tar.bz2
aports-4e3cd93afabd3b76e7ac75062ed099f55e3e9b0f.tar.xz
main/perl-http-daemon: new aport needed by perl-libwww
HTTP::Daemon perl module http://search.cpan.org/dist/HTTP-Daemon/
Diffstat (limited to 'main/perl-http-daemon/APKBUILD')
-rw-r--r--main/perl-http-daemon/APKBUILD39
1 files changed, 39 insertions, 0 deletions
diff --git a/main/perl-http-daemon/APKBUILD b/main/perl-http-daemon/APKBUILD
new file mode 100644
index 0000000000..0cbf231e8d
--- /dev/null
+++ b/main/perl-http-daemon/APKBUILD
@@ -0,0 +1,39 @@
+# Contributor: Natanael Copa <ncopa@alpinelinux.org>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=perl-http-daemon
+pkgver=6.00
+pkgrel=0
+pkgdesc="HTTP::Daemon perl module"
+url="http://search.cpan.org/dist/HTTP-Daemon/"
+arch="noarch"
+license="GPLv2 or Artistic"
+depends="perl perl-http-date perl-http-message"
+makedepends="perl-dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/G/GA/GAAS/HTTP-Daemon-$pkgver.tar.gz"
+
+_builddir="$srcdir"/HTTP-Daemon-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+ make && make test || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="36c8048775b8b53a6fb7c9d781658926 HTTP-Daemon-6.00.tar.gz"